=== debian/changelog ===
shiboken (0.5.0-0ubuntu1) maverick; urgency=low

  * New 0.5.0 upstream release (LP: #648612)
    - Bump libshiboken SOVERSION to 0.5
    - Add the new 0.5 symbols.

  * Patches
    - u_1eda671_fix_type_resolver_algorithm.patch
      (Remove, was from upstream)
    - u_46ab0d6_generated_original_name_with_star_for_object_classes.patch
      (Remove, was from upstream)
    + allowCustomShibokenPostfix.patch
      (Refresh)

  * Bump the apiextractor B-D.

 -- Didier Raboud <didier@raboud.com>  Mon, 27 Sep 2010 20:59:41 +0200

shiboken (0.4.0-1~exp1) experimental; urgency=low

  * Patches: 
    - u_46ab0d6_generated_original_name_with_star_for_object_classes.patch
      Import from upstream for bug #311.
    - u_1eda671_fix_type_resolver_algorithm.patch: Import from upstream for
      bug #243.

  * Bump libapiextractor B-D to 0.7.0-1~exp2, to correct qtgui_qwidget test
    segfault in pyside, together with the above patch.
  * Update symbols file.

  * Make sure DMUA is set (correct 0.3.2-1 changelog to match real uploads).

 -- Didier Raboud <didier@raboud.com>  Fri, 03 Sep 2010 10:29:27 +0200

shiboken (0.4.0-1~exp0) experimental; urgency=low

  * New 0.4.0 upstream release
    - Bump libshiboken SONAME to 0.4
    - Bump libapiextractor B-D to 0.7
    - Bump generatorrunner B-D to 0.6
    - Update install and symbol files

  * Patches:
    - u_4bab9a8_fix_Hurd_FTBFS.patch     Drop; was from upstream.
    - u_2f7c242_fidDebugBuild.patch      Drop; was from upstream.
    - u_1b40948_fix_protected_test.patch Drop; was from upstream.
    - use_original_sparsehash.patch      Drop; somehow included upstream.
    - fix_tests.patch                    Drop; no more needed.


 -- Didier Raboud <didier@raboud.com>  Wed, 04 Aug 2010 14:23:00 +0200

shiboken (0.3.2-3) unstable; urgency=low

  * Add allowCustomShibokenPostfix.patch to allow choice of python-specific
    version.

  * Remove custom cmake files in favour of cmake-data's.
    - Remove debian/cmake/*.
    - Bump cmake B-D to 2.8.2
    - Adapt debian/rules.
    - Update debian/copyright to remove the mentions of the hand-patched
      files.

  * Bump Standards to 3.9.0.0

 -- Didier Raboud <didier@raboud.com>  Thu, 22 Jul 2010 14:57:49 +0200

shiboken (0.3.2-2) unstable; urgency=low

  * Add debug-built versions to fix PySide's debug build
    - Import u_2f7c242_fidDebugBuild.patch from upstream
    - Add lintian overrides

  * Fix the Hurd FTBFS by importing u_4bab9a8_fix_Hurd_FTBFS.patch from
    upstream.

 -- Didier Raboud <didier@raboud.com>  Thu, 24 Jun 2010 16:49:50 +0200

shiboken (0.3.2-1) unstable; urgency=low

  [ Didier Raboud ]
  * New 0.3.2 upstream release
    - Bump B-D on apiextractor and generatorrunner.
    - Add {set,get}TypeUserData symbols.

  * Patches:
    - u_ftbfs_missing_file_44071543.patch: Remove, included upstream.
    - debian_buildoptions.patch: Remove, somehow included upstream.
    × Refresh others.

  * Make docs in binary-indep.

  [ Piotr Ożarowski ]
  * Set DMUA flag to yes

 -- Didier Raboud <didier@raboud.com>  Wed, 09 Jun 2010 12:11:42 +0200

shiboken (0.3.1-3) unstable; urgency=low

  * Patch upstream CMakeLists.txt to use the provided buildflags
    - Drop ftbfs_mips.patch
    - Add debian_buildoptions.patch
    This should fix the mips{,el} FTBFSes.

 -- Didier Raboud <didier@raboud.com>  Fri, 28 May 2010 13:16:16 +0200

shiboken (0.3.1-2) unstable; urgency=low

  * shiboken depends on generatorrunner (Closes: #581215)

  * Fix various FTBFSes:
    - On mips{,el} by adding ftbfs_mips.patch to use
      hash-style=both on all arches.
    - On ia64, powerpc and s390 by stealing
      u_ftbfs_missing_file_44071543.patch from upstream to fix
      declaration of class SimpleFile.

 -- Didier Raboud <didier@raboud.com>  Thu, 27 May 2010 18:02:34 +0200

shiboken (0.3.1-1) unstable; urgency=low

  * New 0.3.1 upstream release
    - Bump libshiboken SONAME to 0.3
    - Update symbols
    - Upload to unstable as dpkg-dev is now available
  * Patches
    + use_soname_from_version.patch:  remove, incorporated upstream.

 -- Didier Raboud <didier@raboud.com>  Thu, 06 May 2010 11:59:58 +0200
