## shiboken 0.5.1

=== debian/changelog ===
shiboken (0.5.1-3) unstable; urgency=low

  * Update symbols for GCC-4.5 and python2.7 (LP: #675729).

 -- Didier Raboud <didier@raboud.com>  Wed, 17 Nov 2010 19:11:12 +0100

shiboken (0.5.1-2) unstable; urgency=low

  * Fix convenience symlinks (Closes: #603088)

 -- Didier Raboud <didier@raboud.com>  Wed, 10 Nov 2010 22:34:53 +0100

shiboken (0.5.1-1) unstable; urgency=low

  * New 0.5.1 minor upstream release
    - Update symbols
    - Bump apiextractor and generatorrunner B-D versions
    - Update patches.
    - Update the documentation building process.
  
  * Bump Standards version to 3.9.1.0

 -- Didier Raboud <didier@raboud.com>  Tue, 19 Oct 2010 20:59:49 +0200

shiboken (0.5.0-1) UNRELEASED; urgency=low

  * New 0.5.0 upstream release
    - Bump libshiboken SOVERSION to 0.5
    - Add the new 0.5 symbols.

  * Patches
    - u_1eda671_fix_type_resolver_algorithm.patch
      (Remove, was from upstream)
    - u_46ab0d6_generated_original_name_with_star_for_object_classes.patch
      (Remove, was from upstream)
    + allowCustomShibokenPostfix.patch
      (Refresh)

  * Bump the apiextractor B-D.

 -- Didier Raboud <didier@raboud.com>  Sun, 26 Sep 2010 23:48:50 +0200
