=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: shiboken
 Section: devel
-Priority: extra
-Maintainer: PySide Team <pyside@openbossa.org>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper7 (>= 7.3.12), cmake (>= 2.6.0),
-	libqt4-dev (>= 4.5.0), libapiextractor-dev (>= 0.8.0), generatorrunner (>= 0.6.1), libgenrunner-dev (>= 0.6.1),
+Priority: optional
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Didier Raboud <didier@raboud.com>
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7.3.12), cmake (>= 2.8.2),
+	libqt4-dev (>= 4.5.0), libapiextractor-dev (>= 0.8.1), generatorrunner (>= 0.6.2), libgenrunner-dev (>= 0.6.2),
+	libsparsehash-dev (>= 1.6),
 	python-all-dev, python-all-dbg
+Build-Depends-Indep: python-sphinx
 XS-Python-Version: >= 2.5
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1.0
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/shiboken/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/shiboken/?op=log
 Homepage: http://www.pyside.org/
+DM-Upload-Allowed: yes
 
 Package: shiboken
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= 0.6.2)
 Description: CPython bindings generator for C++ libraries
  Shiboken is a bindings generator for C++ libraries that outputs CPython
  source code. It uses generatorrunner and apiextractor to collect information
@@ -23,11 +26,22 @@
  .
  Shiboken is the binding generator used to create the PySide bindings.
 
+Package: shiboken-doc
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
+Section: doc
+Description: CPython bindings generator for C++ libraries documentation
+ Shiboken is a bindings generator for C++ libraries that outputs CPython
+ source code. It uses generatorrunner and apiextractor to collect information
+ from library headers, merging modifications and handwritten code defined in the
+ typesystem description.
+ .
+ Shiboken is the binding generator used to create the PySide bindings; this
+ package contains its documentation.
+
 Package: libshiboken0.5
 Section: libs
 Architecture: any
-Conflicts: libshiboken0 (<< 0.5)
-Replaces: libshiboken0 (<< 0.5)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: CPython bindings generator for C++ libraries - shared library
  Shiboken is a bindings generator for C++ libraries that outputs CPython
@@ -52,6 +66,7 @@
 Package: shiboken-dbg
 Section: debug
 Architecture: any
+Priority: extra
 Depends: ${shlibs:Depends}, ${misc:Depends},
          libshiboken0.5 (= ${binary:Version}),
          shiboken (= ${binary:Version})
@@ -61,4 +76,4 @@
  from library headers, merging modifications and handwritten code defined in the
  typesystem description.
  .
- This package contains the debugging symbols for shiboken and libshiboken0.
+ This package contains the debugging symbols for shiboken and libshiboken.
