=== debian/watch ===
version=3
http://www.pyside.org/files/shiboken-([\d\.]*).tar.bz2
